Ops Manager 설치에서 라이선스 키를 해제했음을 확인하는 서명된 영수증을 검색합니다. Ops Manager는 라이선스 키가 해제된 경우에만 영수증을 반환합니다. Ops Manager 인터페이스는 다운로드와 동일한 영수증을 제공합니다.
Keep the receipt as proof of the release. If your installation can't connect to MongoDB, upload the receipt in the Key Portal at https://support.mongodb.com/keyportal.
필수 역할
To access this resource, your API key must have the Global Owner role. The Global Owner role is the highest role in Ops Manager. Only users with this role can view and manage license keys.
요청
Send a GET request with the license key ID in the path.
기본 URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
GET /admin/artifacts/{artifactId}/receipt요청 경로 매개변수
요청 경로에는 다음 매개변수가 포함되어 있습니다.
Parameter | 유형 | 필요성 | 설명 |
|---|---|---|---|
| 문자열 | 필수 사항 | 발급된 라이선스 키의 고유 식별자입니다. |
요청 쿼리 매개변수
이 엔드포인트는 다음 쿼리 매개변수를 허용합니다.
이름 | 유형 | 필요성 | 설명 | 기본값 |
|---|---|---|---|---|
pretty | 부울 | 옵션 | 응답 본문이 pretty-print 형식인지 여부를 나타내는 플래그입니다. |
|
envelope | 부울 | 옵션 | 응답을 엔벨로프에 래핑할지 여부를 나타내는 플래그입니다. 일부 API 클라이언트는 HTTP 응답 헤더 또는 상태 코드에 액세스할 수 없습니다. 이 문제를 해결하려면 쿼리에서 envelope=true를 설정합니다. 하나의 결과를 반환하는 엔드포인트의 경우 응답 본문에는 다음이 포함됩니다.
|
|
요청 본문 매개변수
이 엔드포인트는 HTTP 요청 본문 매개변수를 사용하지 않습니다.
응답
응답에는 다음 필드가 포함되어 있습니다.
필드 | 유형 | 설명 |
|---|---|---|
| 객체 | 라이선스 키에 대한 릴리스 영수증이 JSON 문서 형식으로 반환됩니다. |
오류
If you specify an artifactId that doesn't match a released license key, the endpoint returns the HTTP status 404. The errorCode field of the response body contains ARTIFACT_NOT_FOUND, and the detail field contains No released artifact with that id.
요청 예시
Use curl to send a GET request to the /admin/artifacts/{artifactId}/receipt endpoint:
curl --user "{PUBLIC-KEY}:{PRIVATE-KEY}" --digest \ --header "Accept: application/json" \ --include \ --request GET \ "https://<OpsManagerHost>:<Port>/api/public/v1.0/admin/artifacts/{ARTIFACT-ID}/receipt?pretty=true"응답 예시
다음 예시는 요청이 성공적으로 처리되었을 때의 응답 헤더와 응답 본문을 보여줍니다.
응답 헤더
다음 헤더는 권한 없음 응답과 권한 성공 응답을 보여줍니다.
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}응답 본문
다음 예시는 응답 본문을 보여줍니다.
{ "receipt": { "{RECEIPT-CONTENTS}": "..." }}